Subject: notification log MIB and Opaque type

From: "Sharon Chisholm" <[email-masked]>
Date: Wed, 12 Jul 2000 16:04:26 -0400

hi

I'm trying not to spew html, but apologies if I am.

I suspect the Opaque type was included in the data types 
for completeness, but there are some pretty prominent compilers 
out there that don't support the type.

What's the correct way to handle this?  Convert it to an octet
string, leave it out, or beat up on the vendor?   

Sharon Chisholm
Preside Management
Nortel Networks
Ottawa, Ontario

---

From: Randy Presuhn <[email-masked]>
Date: Wed, 12 Jul 2000 14:29:10 -0700 (PDT)

Hi -

> Message-ID: <[email-masked]>
> From: "Sharon Chisholm" <[email-masked]>
> To: [email-masked]
> Subject: notification log MIB and Opaque type
> Date: Wed, 12 Jul 2000 16:04:26 -0400
> List-Id: IETF disman Working Group mailing list <[email-masked]>
...
> string, leave it out, or beat up on the vendor?   
...

Despite the disparaging words in RFC 2578 clause 7.1.9,
Opaque is clearly one of the SMI data types.  A product
that can't deal with it is broken, in my opinion.

How you work around this will depend on the tools you're
using and what you're doing with their output.

 -------------------------------------------------------
 Randy Presuhn           [email-masked]
 Voice: +1 408 546-1006  BMC Software, Inc.  1-3141
 Fax:   +1 408 965-0359  2141 North First Street
 http://www.bmc.com/     San José, California 95131  USA
 -------------------------------------------------------
 My opinions and BMC's are independent variables.
 -------------------------------------------------------